PDA

Visualizza la versione completa : Debian: repository per skype


xxxfiles
27-11-2008, 11:31
Sono su Debian stable.

Questo e' il file /etc/apt/sources.list

deb-src http://security.debian.org/ stable/updates main contrib
deb http://http.us.debian.org/debian stable main contrib non-free
#deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free
deb http://security.debian.org stable/updates main contrib non-free
deb http://download.skype.com/linux/repos/debian/ stable non-free

Do il comando:

apt-get update

poi do:

apt-get install skype

ed ottengo:
Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Il pacchetto skype non ha versioni disponibili, ma nominato da un altro
pacchetto. Questo significa che il pacchetto manca, diventato obsoleto
o disponibile solo all'interno di un'altra sorgente
E: Il pacchetto skype non ha candidati da installare

Se do:

apt-cache search skype

ho:
skype - Skype - Take a deep breath


Nessuno ha installato Skype di recente da quei repository? Tempo fa, su un altro pc, sempre con Debian stable, avvevo avuto lo stesso problema, poi risoltosi da solo. Cosi' avevo pensato ad un down momentaneo dei repository, mentre adesso il problema persiste da divese settimane.

Qualche idea?

furly
27-11-2008, 12:39
Io ho installato Skype prelevando il file *.deb che trovi sul sito Skype.
Funziona benissimo.
Per queste applicazioni meglio non inserire repository non ufficiali.

xxxfiles
27-11-2008, 12:47
Io sono stato diversi anni con quel repository ed e' andato sempre bene. Il vantaggio e' che poi si aggiorna sempre automaticamente, cosa che ha sempre funzionato con il mio vecchio pc.

Adesso su un altra macchina non va piu'. Se la cosa non si sistema, ricorrerro' anche io al *.deb, pero' purtroppo cosi' non usufruiro' degli aggironamenti automatici, ma mi tocchera' sempre scaricare a mano le versioni aggiornate.

Comunque grazie per la tua testimonianza.

furly
27-11-2008, 14:00
Hai perfettamente ragione.

Non so se dico una fesseria: in questo periodo che c' il passaggio da Etch a Lenny,
e non vorrei che i repo con il suffisso "stable" si incasinino...

francofait
27-11-2008, 14:13
skype non mai stato sulle repositry ufficiali di base, da sempre sulle multimedia senza alcun bisogno della repositry di skype che fra il resto non esiste pi

furly
27-11-2008, 14:32
Nello specifico?
In questa?
deb http://www.debian-multimedia.org stable main

furly
27-11-2008, 14:55
Mi rispondo da solo: no, su debian-multimedia skype non c'!

xxxfiles
28-11-2008, 09:57
Originariamente inviato da francofait
skype non mai stato sulle repositry ufficiali di base, da sempre sulle multimedia senza alcun bisogno della repositry di skype che fra il resto non esiste pi

In quale? Mi daresti la stringa precisa da mettere nel sources.list cosi' provo?

francofait
28-11-2008, 10:03
Originariamente inviato da xxxfiles
In quale? Mi daresti la stringa precisa da mettere nel sources.list cosi' provo?

Stando al post di furly non c' pi nemmeno nelle multimedia , metti la repostry di mepis , li c' sempre ed tenuto aggiornato.

xxxfiles
28-11-2008, 10:38
Ho messo questi:

deb ftp://ftp.mepis.com/mepis/ mepis-7.0 main

ho dato:

apt-get update

ma ottengo:

Lettura della lista dei pacchetti in corso... Fatto
Generazione dell'albero delle dipendenze in corso... Fatto
Il pacchetto skype non ha versioni disponibili, ma nominato da un altro
pacchetto. Questo significa che il pacchetto manca, diventato obsoleto
o disponibile solo all'interno di un'altra sorgente
E: Il pacchetto skype non ha candidati da installare

Eppure qui ftp://ftp.mepis.com/mepis/dists/mepis-7.0/main/binary-i386/Packages me lo da come pacchetto disponibile.

Loading